Bug 14634 - s3:modules:vfs_virusfilter: Recent talloc changes cause infinite start-up failure
Summary: s3:modules:vfs_virusfilter: Recent talloc changes cause infinite start-up fai...
Status: ASSIGNED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules (show other bugs)
Version: 4.13.4
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-06 19:52 UTC by Trever Adams
Modified: 2021-03-03 17:54 UTC (History)
2 users (show)

See Also:


Attachments
Patch which fixes the problem. Working through CI on gitlab.com right now. (4.17 KB, patch)
2021-02-06 20:01 UTC, Trever Adams
no flags Details
git-am fix for master. (8.45 KB, patch)
2021-02-26 22:53 UTC, Jeremy Allison
no flags Details
git-am fix for 4.14.rcNext, 4.13.next, 4.12.next. (8.57 KB, patch)
2021-03-02 00:38 UTC, Jeremy Allison
npower: review+
jra: review? (dmulder)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trever Adams 2021-02-06 19:52:42 UTC
I will be attaching a patch for this. lp_parm_const_string returns NULL if the parameter isn't present. talloc recently changed to not allocate an empty string for NULL provided strings.

This caused the current checks for out of memory type situations to incorrectly trigger. The patch provided fixes this.
Comment 1 Trever Adams 2021-02-06 20:01:19 UTC
Created attachment 16435 [details]
Patch which fixes the problem. Working through CI on gitlab.com right now.

I believe I am following the new procedure correctly. https://gitlab.com/treveradams/samba.git is my branch with the fix pushed.
Comment 2 Jeremy Allison 2021-02-26 22:53:59 UTC
Created attachment 16475 [details]
git-am fix for master.

Trever, I think this version is clearer to read. If you're happy, can you re-push to your CI and I'll get second Team review done for this.

Thanks !

Jeremy.
Comment 3 Jeremy Allison 2021-02-26 22:54:30 UTC
FYI, once applied it's easier to see the changes doing:

git show -b
Comment 4 Trever Adams 2021-02-27 16:28:59 UTC
(In reply to Jeremy Allison from comment #3)
Thank you. I agree. This version you have made is much better. It has been pushed.
Comment 5 Samba QA Contact 2021-03-01 21:45:03 UTC
This bug was referenced in samba master:

1c9add54750cb7f2b49be69a548ce8bdb15e7ac2
Comment 6 Jeremy Allison 2021-03-02 00:38:58 UTC
Created attachment 16482 [details]
git-am fix for 4.14.rcNext, 4.13.next, 4.12.next.

Cherry-picked from master.
Comment 7 Jeremy Allison 2021-03-03 17:54:45 UTC
Re-assigning to Karolin for inclusion in 4.14.next, 4.13.next, 4.12.next.